Ad

How Can I Install OctoberCMS With PHP Version 5.x?

- 1 answer

I have Windows 10, Xampp installed with PHP Version 5.x and I want to install OctoberCMS with Installation wizard https://octobercms.com/docs/setup/installation but I noticed that OctoberCMS requires PHP 7.0 or higher to achieve this and I have version 5.x.

So How can I install OctoberCMS with PHP Version 5.x ?

Ad

Answer

OK Guys, Eventually I have come up with the solution to install OctoberCMS with PHP Version 5.x.

Remember, these steps can be varied based on your operating system and the things which you have installed in your system.

  • First go to OctoberCMS Change log - https://octobercms.com/changelog and find Build 419 has the php version 5.x support.
  • Then go to OctoberCMS release list - https://github.com/octobercms/october/releases and click on the version you need to install which is v1.0.419. Install the zip to the root of xampp/htdocs and extract the folder.
  • Then inside the same folder which extracted, run this composer install.
  • After this, run php artisan october:env .. You can run C:\xampp\php\php.exe artisan october:env if you are having an error php is not recognized as an internal or external command.
  • After php artisan october:env, .env file is created. There you need to modify your database settings like database name, port (put 3306 for localhost etc) by opening this file which will be in same folder.
  • Then run php artisan october:up or C:\xampp\php\php.exe artisan october:up. It will create database tables and your admin user will be created with User: admin, Password: admin (You can change this after logging IN). And backend url will be something like http://example.com/backend.
  • Once its done, you can cut paste all your extracted folder files to root .. like from C:\xampp\htdocs\youproject\version419 to C:\xampp\htdocs\youproject\.

Hope this helps.

Ad
source: stackoverflow.com
Ad